## org.eclipse.emf.ecore.util
Class DelegatingFeatureMap.FeatureEIterator<E>

    java.lang.Object
      org.eclipse.emf.ecore.util.FeatureMapUtil.BasicFeatureEIterator<E>
          org.eclipse.emf.ecore.util.DelegatingFeatureMap.FeatureEIterator<E>

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>

Direct Known Subclasses:
  DelegatingFeatureMap.ResolvingFeatureEIterator

Enclosing class:
  DelegatingFeatureMap

    public static class DelegatingFeatureMap.FeatureEIterator<E>

extends FeatureMapUtil.BasicFeatureEIterator<E>

-------------------------------------------

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.BasicFeatureEIterator
`cursor, entryCursor, eStructuralFeature, expectedModCount, featureMap, isFeatureMap, lastCursor, prepared, preparedResult, validator`

Constructor Summary
`DelegatingFeatureMap.FeatureEIterator(EStructuralFeature eStructuralFeature, FeatureMap.Internal featureMap)`

Method Summary
`protected boolean` `scanNext()`
`protected boolean` `scanPrevious()`

Methods inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.BasicFeatureEIterator
`add, checkModCount, extractValue, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, resolve, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingFeatureMap.FeatureEIterator

    public DelegatingFeatureMap.FeatureEIterator(EStructuralFeature eStructuralFeature,
                                                 FeatureMap.Internal featureMap)

Method Detail

### scanNext

    protected boolean scanNext()

  Specified by:
    `scanNext` in class `FeatureMapUtil.BasicFeatureEIterator<E>`

### scanPrevious

    protected boolean scanPrevious()

  Specified by:
    `scanPrevious` in class `FeatureMapUtil.BasicFeatureEIterator<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.